%define	distversion	%(. /etc/os-release 2>/dev/null ; echo $VERSION)

Summary:	PLD Linux release file with logo
Summary(de.UTF-8):	PLD Linux Release-Datei mit logo
Summary(pl.UTF-8):	Wersja Linuksa PLD z logiem
Name:		issue-fancy
Version:	3.0
Release:	28
License:	GPL
Group:		Base
Source0:	%{name}-gen
Source1:	%{name}.crontab
Source2:	%{name}.init
# In fact it requires quote_logo_backslashes patch.
BuildRequires:	linux_logo >= 3.9b5
BuildRequires:	pld-release >= 3.0
%requires_eq	pld-release
Requires(post,preun):	/sbin/chkconfig
Requires:	linux_logo >= 3.9b5
Requires:	crondaemon
Provides:	issue = %{version}-%{release}
Conflicts:	issue-alpha < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
PLD Linux release file with logo.

%description -l pl.UTF-8
Wersja Linuksa PLD z logiem.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d},%{_sbindir}}

install %{SOURCE0} $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/issue-fancy

$RPM_BUILD_ROOT%{_sbindir}/issue-fancy-gen $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/issue-fancy-gen
/sbin/chkconfig --add issue-fancy

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del issue-fancy
fi

%files
%defattr(644,root,root,755)
# Can't use "noreplace" here because issues are regenerated from cron
# and %post. Without "noreplace" at least ".rpmsave" will stay.
%config %verify(not md5 mtime size) %{_sysconfdir}/issue
%config %verify(not md5 mtime size) %{_sysconfdir}/issue.net
%attr(755,root,root) %{_sbindir}/*
%attr(600,root,root) /etc/cron.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%changelog
* Fri Jan 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-fancy.git;a=log;h=master

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> 11a2280
- Release 28 (by relup.sh)

* Fri Jan 03 2025 Jan Rękorajski <baggins@pld-linux.org> 46c5f14
- Release 27 (by relup.sh)

* Mon Jan 01 2024 Jan Rękorajski <baggins@pld-linux.org> bbbd766
- Release 26 (by relup.sh)

* Mon Jan 01 2024 Jan Rękorajski <baggins@pld-linux.org> 431954c
- Release 25 (by relup.sh)

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> 252224f
- Release 24 (by relup.sh)

* Tue Jan 03 2023 Jan Rękorajski <baggins@pld-linux.org> f4ccab0
- Release 23 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 0a7d666
- Release 22 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> 9ba92c0
- Release 21 (by relup.sh)

* Fri Dec 31 2021 Jan Rękorajski <baggins@pld-linux.org> f6c5873
- Release 20 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 30b5b8d
- release 19 (by relup.sh)

* Fri Jan 01 2021 Jan Rękorajski <baggins@pld-linux.org> 4fafeff
- rebuild for 2020 snapshot
- release 18 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> 672cddb
- release 17 (by relup.sh)

* Mon Jan 13 2020 Jan Rękorajski <baggins@pld-linux.org> da64d0e
- release 16 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> a141fd6
- release 15 (by relup.sh)

* Tue Jan 01 2019 Jan Rękorajski <baggins@pld-linux.org> e9c10e2
- release 14 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> f72fc97
- release 13 (by relup.sh)

* Sat Jan 27 2018 Jan Rękorajski <baggins@pld-linux.org> eda0509
- release 12 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 403bab9
- release 11 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 6bc6e72
- release 10 (by relup.sh)

* Sun Jan 29 2017 Jan Rękorajski <baggins@pld-linux.org> 988cf20
- release 9 (by relup.sh)

